bsdmainutils (12.1.2+rpi1) bullseye-staging; urgency=medium

  * bump up recommends on bsdextrautils to a depends for now until Debian
    figures out where exactly they are going with this.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 25 Jun 2020 12:36:50 +0000

bsdmainutils (12.1.2) unstable; urgency=medium

  [ Michael Meskes ]
  * Move to source format 3.0.
  * Use correctly named default file. (Closes: #963178)
  * Enabled hardening options.

  [ Gianfranco Costamagna ]
  * Add more Ubuntu dates to the calendar
  * Add more Debian dates to the calendar
  * Add patch from Ubuntu to fix 1st day of the week on Big Endian systems
  * Update Breaks/Replaces to ensure smooth upgrades (Closes: #963177)

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Jun 2020 12:42:08 +0200

bsdmainutils (12.1.1) unstable; urgency=medium

  [ Josh Triplett ]
  * Remove unexpanded '$Id$' tokens, unused since the transition to git
  * Split the "calendar" program and associated cron job into a separate
    "calendar" package. (Closes: #946384)

  [ Michael Meskes ]
  * Follow BSD and remove colcrt, it is only useful on very old terminals
    anyway.
  * Update to latest FreeBSD/OpenBSD versions.
  * Remove col, colrm, column, hexdump, and ul so they can be provided by the
    util-linux source package.
    (Closes: #175371, #602477, #613329, #885539, #893497, #905742, #908975,
     #922103, #955183, #961301)
  * Revert to pre-compiled Judaic calendars for the time being.
    (Closes: #925912, #936244)
  * Allow look to read big files.
    Thanks to Tomaž Šolc <tomaz.solc@tablix.org> (Closes: #893033)
  * Apply Andreas Henriksson's patch to convert calendarJudaic.py to python3,
    it cannot be used with python3-hdate removed, though.
  * Fix calendar manpage.
    Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> (Closes: #899339)
  * Use the correct locale property for month name.
    Thanks to sergio <sergio+it@outerface.net> (Closes: #924668, #943757)
  * Updated Thai holidays in holiday calendar.
    Thanks to Theppitak Karoonboonyanan <theppitak@gmail.com> (Closes: #934804)

 -- Michael Meskes <meskes@debian.org>  Thu, 28 May 2020 11:17:53 +0200

bsdmainutils (11.1.2) unstable; urgency=medium

  * Switch build dependency back from libtinfo to libncurses. (Closes: #885622)

 -- Michael Meskes <meskes@debian.org>  Fri, 29 Dec 2017 10:26:58 +0100

bsdmainutils (11.1.1) unstable; urgency=medium

  * Update to latest FreeBSD/OpenBSD versions.
  * Do not explicitly set dpkg-architecture variables.
  * Fix dependency to reference the library that is really needed.
  * Removed Giacomo from uploaders by his own request.
  * Bumped Standards-Version to 4.1.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 27 Dec 2017 13:51:13 +0100

bsdmainutils (9.0.14) unstable; urgency=medium

  * Updated Thai holidays.
    Thanks to Theppitak Karoonboonyanan <thep@debian.org> (Closes: 868732)
  * Re-added fix for #859933 that was lost in the last upload.
  * Added small bit lost in fix for #792867.

 -- Michael Meskes <meskes@debian.org>  Sat, 21 Oct 2017 09:24:26 +0200

bsdmainutils (9.0.13) unstable; urgency=medium

  * Make sure the correct architecture python is included in cross builds.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #792867)
  * Allow unicode characters in write messages.
    Thanks to Nikolas Nyby <nikolas@gnu.org> (Closes: #876557)
  * Added patch to ncal to show week number information even in backward mode.
    Thanks to Paul Seyfert <paul.seyfert@mib.infn.it> (Closes: #850034)
  * Bumped Standards-Version to 4.1.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Oct 2017 15:11:05 +0200

bsdmainutils (9.0.12) unstable; urgency=medium

  * Made hexdump work with length arguments greater than 2^31. (Closes: #841454)

 -- Michael Meskes <meskes@debian.org>  Tue, 25 Oct 2016 11:05:53 +0200

bsdmainutils (9.0.11) unstable; urgency=medium

  * Updated ubuntu calendar.
    Thanks to Dimitri John Ledkov <xnox@ubuntu.com> (Closes: #834128)
  * Wide characters need more space than normal ones, so allocate more.
    (Closes: #839113)
  * Updated lorder to latest SVN snapshot from FreeBSD. (Closes: #830259)
  * More clarifications about options. (Closes: #826370)
  * Bumped Standards-Version to 3.9.8, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 29 Sep 2016 14:08:33 +0200

bsdmainutils (9.0.10) unstable; urgency=medium

  * Re-added a few changes that got lost during last update. (Closes: #819067)
  * Removed check for uid. (Closes: #743215)

 -- Michael Meskes <meskes@debian.org>  Tue, 29 Mar 2016 19:39:31 +0200

bsdmainutils (9.0.9) unstable; urgency=medium

  * Do not document an option that does not exist anymore.
  * Fix date order in judaic calendar.
    Thanks to Sergey Romanov <schragge@gmail.com>
  * Let libc handle correct date output for different locales.
    Thanks to Sergey Romanov <shruggy@yandex.ru> (Closes: #252166)
  * Correctly document maximal line length. (Closes: #441048)

 -- Michael Meskes <meskes@debian.org>  Sat, 19 Mar 2016 21:19:31 +0100

bsdmainutils (9.0.8) unstable; urgency=medium

  * Fix first day of week calculation for cal. (Closes: #817916)
  * Fix escape bug in hexdump.
    Thanks to Rémi Rampin <remirampin@gmail.com> (Closes: #776096)

 -- Michael Meskes <meskes@debian.org>  Sat, 12 Mar 2016 12:27:26 +0100

bsdmainutils (9.0.7) unstable; urgency=medium

  * Updated calendar and lorder from OpenBSD.
  * Bumped Standards-Version to 3.9.7, no changes needed.
  * (Printer)Banner will probably always be ascii only, so let's document it.
    (Closes: #570036)
  * Removed entries with unparsable dates from UK calendar. (Closes: #806846)
  * Ignore escape sequences when calculating length of entry. (Closes: #627481)
  * Combine patches that handle first day of week.
  * Dynamically allocate buffer to reduce stack size. (Closes: #784734)
  * Cleanup usage of conflicting options. (Closes: #688078, #783470)
  * Updated to delbhelper 9.
  * Document fall back on system-wide default. (Closes: #739915)
  * Use changelog date instead of current date when building jewish calendars.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Mar 2016 13:01:23 +0100

bsdmainutils (9.0.6) unstable; urgency=medium

  * Add Ubuntu 13.04 release date to calendar.ubuntu.
  * Update Dutch calendar for royal succession.
    Thanks to Sander Steffann <sander@steffann.nl> (Closes: #750216)
  * Updated control file.
  * Completely convert kyrillic calendars.
    Thanks to Sergey Romanov <schragge@gmail.com>
  * Explain option 'p' and 'f' better in manpage (Closes: #759675)
  * Fix calendar.judaic format.
    Thanks to Robbin Edgren <robbin@edgren.pp.se> (Closes: #763312)
  * Calculate Jewish calendars for five years. (Closes: #741386)
  * Symlink Judaic calendar for the current year.
  * Increase maximal line length to 1MB (Closes: #737348)
  * Process tabs in column binary (Closes: #729038)
  * Prevent buffer overrins in col (Closes: #737159)

 -- Michael Meskes <meskes@debian.org>  Fri, 15 Aug 2014 11:46:48 +0200

bsdmainutils (9.0.5) unstable; urgency=low

  * Mark package Multi-Arch: foreign.
    Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #697673)
  * Add latest Ubuntu releases to calendar.
    Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #697674)
  * Fixed small typo. (Closes: #704799)
  * Updated calendar.debian.
    Thanks to Andrew Bennett <drewbenn@gmail.com> (Closes: #704491)
  * Fixed small typo in hexdump. (Closes: #700122)
  * Fix manpage emtry for Julian dates to correctly refer to Orthodox Easter.
    (Closes: #704804)
  * Added Wheezy release date to Debian calendar.
  * Made calendar.all list all calendars that are distributed.

 -- Michael Meskes <meskes@debian.org>  Mon, 06 May 2013 16:21:55 +0200

bsdmainutils (9.0.4) unstable; urgency=low

  * Added Debian Squeeze release date. (Closes: #695911)
  * Added calendar for the United Kingdom of Great Britain and Northern Ireland.
    Thanks to Peter Tynan <happy@sdf.lonestar.org> (Closes: #695525)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Jan 2013 13:18:00 +0100

bsdmainutils (9.0.3) unstable; urgency=high

  * Adjustment for weeks starting on Sunday was made at a wrong place. Fixing
    this should give correct week numbers again. (Closes: #676426)

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Jun 2012 12:25:40 +0200

bsdmainutils (9.0.2) unstable; urgency=low

  * A new sentence should trigger a new line in the manpage source.
  * Removed patch for fifo handling because upstream found a better way to
    solve the problem.
  * Moved cronjob configuration out of the cron file into a default file.
    (Closes: #672445)
  * Fixed typo in our patch that adds the introduction of Mac OS X.
    (Closes: #673093)
  * Mention that calendar -l is the same as calendar -A. (Closes: #658133)
  * Bumped Standards-Version to 3.9.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 16 May 2012 17:12:52 +0200

bsdmainutils (9.0.1) unstable; urgency=low

  * Synced with FreeBSD 9 and added the latest changes from OpenBSD calendar
  * Enabled hardening buildflags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #656011)
  * Allow usage of conflicting options for ncal.
    Thanks to Peter Selinger <selinger@mathstat.dal.ca>
  * In column check for a multibyte error when reading a file. (Closes: #636618)
  * Added option to not ignore empty lines in column. (Closes: #345684)
  * Added recommended targets build-arch and build-indep to rules file.
  * Also add python as build dependency to make lintian happy.
  * Finally added the russian calendar updates from FreeBSD 9.0 that were still
    missing.
  * Allow usage of stdin as calendar file. (Closes: #640358)

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Jan 2012 10:11:52 +0100

bsdmainutils (8.2.3) unstable; urgency=low

  * Document that ul changes some special characters. (Closes: #629134)
  * Added latest Ubuntu release to calendar.
    Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #627096)
  * Updated Republic of Kazakhstan holidays.
    Thanks to Timur Birsh <taem@linukz.org> (Closes: #624392)
  * Correctly convert ru_RU calendar. (Closes: #612044)
  * Added patch from usptream to make sure all line are correctly displayed in
    hexdump. (Closes: #612939)
  * Bumped Standards version to 3.9.2, no changes needed.
  * Corrected the date of George Harrison's death. (LP: #683163)

 -- Michael Meskes <meskes@debian.org>  Mon, 06 Jun 2011 16:20:29 +0200

bsdmainutils (8.2.2) unstable; urgency=low

  * Fix some wide character problems (LP: #697213). (Closes: #610760) -
    thanks to Allison Randal <allison@parrot.org>

 -- Michael Meskes <meskes@debian.org>  Wed, 26 Jan 2011 13:04:25 +0100

bsdmainutils (8.2.1) unstable; urgency=low

  * Updates from the upcoming FreeBSD release 8.2:
    - calendars
    - hexdump manpages
    - libcalendar
    - ncal (Closes: #607960)
  * Updates from OpenBSD 4.8:
    - calendar
  * Adapted, removed and/or re-diffed patches.
  * Updated debian calendar (Closes: #607837)
  * Replace Conflict: on older bsdutils version with Break: to make lintian happy.

 -- Michael Meskes <meskes@debian.org>  Mon, 03 Jan 2011 18:57:48 +0100

bsdmainutils (8.0.17) unstable; urgency=low

  * Fixed build failure with --as-needed. (Closes: #604811) - thanks to
    Matthias Klose <doko@ubuntu.com>

 -- Michael Meskes <meskes@debian.org>  Sun, 28 Nov 2010 16:06:11 +0100

bsdmainutils (8.0.16) unstable; urgency=low

  * Do not ignore weekstart setting when using old style format.
    (Closes: #603100)
  * Removed double dash in manpage. (Closes: #602403)

 -- Michael Meskes <meskes@debian.org>  Sun, 14 Nov 2010 15:44:13 +0100

bsdmainutils (8.0.15) unstable; urgency=low

  * Re-added accidently lost parts of patch fixing #590592.

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Nov 2010 16:10:51 +0100

bsdmainutils (8.0.14) unstable; urgency=low

  * Added option to ncal to use oldstyle cal output. (Closes: #590592)
  * Updated Ubuntu calendar. (Closes: #600067)
  * In hexdump.1 mention that % is a not supported conversion character.
    (Closes: #600244)
  * Bumped Standards version to 3.9.1, no changes needed.
  * Renamed build dependency on python-hdate to reflect package name
    change.
  * Unified some patches and at the same time added a small change to
    use the right weekstart when looking for the first week of the year.
    (Closes: #597657)

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Nov 2010 14:15:37 +0100

bsdmainutils (8.0.13) unstable; urgency=low

  * Correctly initialize weekstart variable. (Closes: #586190)

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Jun 2010 13:02:19 +0200

bsdmainutils (8.0.12) unstable; urgency=low

  * Create /usr/share/calendar/calendar.judaic automatically for the
    current year. (Closes: #583629) - thanks to Ron Varburg <linux-
    il@hotmail.com>
  * Added descriptions to all patches.
  * Do not move days when option '-S' is given. (Closes: #582240)

 -- Michael Meskes <meskes@debian.org>  Mon, 14 Jun 2010 16:35:41 +0200

bsdmainutils (8.0.11) unstable; urgency=low

  * Removed those parts from one patch that reverted another patch
    making calendar not being able to read the systemwide calendar
    file.(Closes: #576626)
  * Fixed small typo in calendar.debian (Closes: #578106)
  * Fixed highlight patch to display correct date for today even in
    Julian Calendar. (Closes: #578527)

 -- Michael Meskes <meskes@debian.org>  Mon, 03 May 2010 11:21:31 +0200

bsdmainutils (8.0.10) unstable; urgency=low

  * Re-install default calendar file that was lost in the makeover.
    (Closes: #576626)
  * Changed ordering of tests to prevent calendar hang (LP #357055)
  * Updated some calendar files.

 -- Michael Meskes <meskes@debian.org>  Tue, 06 Apr 2010 15:22:31 +0200

bsdmainutils (8.0.9) unstable; urgency=low

  * Fixed typo in manpage, option '-S' denotes weeks starting on Sunday.
    (Closes: #570199)
  * Rewrote wide-character patch for calendar using the old patch as a
    starting point to honor special locale UTF-8 again. (Closes:
    #562562)

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Apr 2010 15:13:35 +0200

bsdmainutils (8.0.8) unstable; urgency=low

  * Added Thai calendar to master calendar file. (Closes: #566391)

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Feb 2010 09:51:52 +0100

bsdmainutils (8.0.7) unstable; urgency=low

  * Added Thai calendar. (Closes: #566391) - thanks to Theppitak
    Karoonboonyanan <thep@debian.org>
  * Fixed Thai entries in holiday calendar. (Closes: #566387) - thanks
    to Theppitak Karoonboonyanan <thep@debian.org>
  * Bumped Standards version to 3.8.4, no update needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 14 Feb 2010 15:29:24 +0100

bsdmainutils (8.0.6) unstable; urgency=low

  * Added Nikola Tesla birth and death to birthday calendar. (Closes:
    #564139) - thanks to Dale Harris <rodmur@maybe.org>
  * Patched 'from' utility to work with maildirs. (Closes: #136087)
  * Manage 'from' utility with update-alternatives. At the same time fixed
    some problems with alternative handling (LP #67698) (Closes: #565596)
  * Fixed UK Bank Holiday entries (LP #234921)
  * Made hexdump try to use seek even on non regular files to speed
    things up. (LP #406583)
  * Added options '-M' and '-S' to manually set starting day of week.
    (Closes: #561403)

 -- Michael Meskes <meskes@debian.org>  Thu, 21 Jan 2010 13:49:06 +0100

bsdmainutils (8.0.5) unstable; urgency=low

  * Fixed typos in manpage. (Closes: #488473) - thanks to A. Costa
    <agcosta@gis.net>

 -- Michael Meskes <meskes@debian.org>  Tue, 29 Dec 2009 16:49:37 +0100

bsdmainutils (8.0.4) unstable; urgency=low

  * Fixed Emily Dickinson's name. (Closes: #561612)
  * Added examples for '-e' option to hexdump manpage. (Closes: #488473)

 -- Michael Meskes <meskes@debian.org>  Fri, 25 Dec 2009 15:11:46 +0100

bsdmainutils (8.0.3) unstable; urgency=low

  * Clarified package description. (Closes: #557650)
  * Fixed off by one calculation of first week of year.
  * Prevented highlighting from displaying a day belonging to an older
    month. (Closes: #558793)
  * Fixed multimonth mode to show correct tabbing even if today is
    highlighted. (Closes: #558726)

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Dec 2009 14:56:00 +0100

bsdmainutils (8.0.2) unstable; urgency=low

  * Added VCS information to control file.
  * Really install Kazakhstan calendar file. (Closes: #555699)
  * Made look only search whole words. (Closes: #556885)
  * Re-added highlighting of current day and made -3 use right format.
    (Closes: #555641)
  * Fixed week number calculation. (Closes: #556029)

 -- Michael Meskes <meskes@debian.org>  Mon, 23 Nov 2009 10:18:15 +0100

bsdmainutils (8.0.1) unstable; urgency=low

  * Added patch system to be able to track upstream's source more
    directly.
  * Updated ncal to the latest upstream version. (Closes: #415057)
  * New maintainers. (Closes: #543833)
  * Bumped Standards version to 3.8.3, no update needed.
  * Made ncal find the first day of the week automatically.
    (Closes: #472355)
  * Added -3 option to cal and ncal. (Closes: #497014)
  * Made ncal cope with longer month names. (Closes: #528657)
  * Document that cal always prints 8 lines. (Closes: #367299)
  * Made ncal catch incorrect year parameter. (Closes: #431930)
  * Made ncal use locale information for knowing how to display week.
    (Closes: #361223)
  * Updated col to the latest FreeBSD version.
    (Closes: #319952, #348032, #484579)
  * Patched col to recognize a single non-empty line without newline.
    (Closes: #335087)
  * Updated colrm to the latest FreeBSD version. (Closes: #516271)
  * Updated column to latest FreeBSD version. (Closes: #368384)
  * Made column react more gracefully upon reading empty fields.
    (Closes: #382638)
  * Re-added '-n' option to column and documented it as a Debian
    extension. (Closes: #485809)
  * Updated colcrt to the latest FreeBSD version.
  * Updated banner to latest FreeBSD version.
  * Renamed banner to printerbanner. (Closes: #315664)
  * Updated hexdump to its latest FreeBSD version.
  * Bumped debhelper compat level.
  * Added patch to prevent segfault in case an empty repetition is
    given. (Closes: #498232)
  * Added patch to make hd ignore -C option. (Closes: #487985)
  * Updated from to latest FreeBSD version.
  * Updated ul to latest FreeBSD version but kept our changes
  * Updated lorder to latest version from OpenBSD.
  * Re-added patch that makes lorder use signal names instead of
    numbers.
  * Updated look to latest version from FreeBSD. (Closes: #547622)
  * Reimplemented and documented -b option for look. (Closes: #264996)
  * Update write to the latest FreeBSD version.
  * Allow writing from a terminal that has mesg n set. (Closes: #455248)
  * Updated calendar binary to latest version from OpenBSD. (Closes: #503276)
  * Patched new calendar sources to use wide-character functions.
  * Created patch to put Debian specific options back into calendar
    tool. (Closes: #293689)
  * Updated all calendars from their FreeBSD sources.
    (Closes: #388153, #413900, #446547, #542229)
  * Added/Fixed some calendar entries as reported by Debian users.
    (Closes: #554561, #337311, #525925, #493759, #381114, #280176))
  * Added Kazakhstan holiday calendar. (Closes: #358609)
  * Updated Ubuntu calendar. (Closes: #474600)
  * Removed double word in manpage. (Closes: #401091)
  * Changed patch of source.data.gz mentioned in README. (Closes: #507602)
  * Added lintian override for setgid write binary.
  * Bumped version to 8.0.1 because we are using sources from FreeBSD 8 now.

 -- Michael Meskes <meskes@debian.org>  Sat, 07 Nov 2009 12:31:56 +0100

bsdmainutils (6.1.11) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:01:03 +0200

bsdmainutils (6.1.10) unstable; urgency=medium

  * Bumping versioned conflicts against bsdutils.

 -- Daniel Baumann <daniel@debian.org>  Tue, 20 Nov 2007 08:33:00 +0100

bsdmainutils (6.1.9) unstable; urgency=medium

  * Applied patch from Neil Williams <codehelp@debian.org> to add cross build
    support (Closes: #450490).

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Nov 2007 23:30:00 +0100

bsdmainutils (6.1.8) unstable; urgency=medium

  * Bumping versioned conflicts against bsdutils.

 -- Daniel Baumann <daniel@debian.org>  Wed, 31 Oct 2007 10:39:00 +0100

bsdmainutils (6.1.7) unstable; urgency=medium

  * Adding versioned conflicts against bsdutils (Closes: #440630).
  * Removed old conflicts (pre-sarge).

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Sep 2007 11:24:00 +0200

bsdmainutils (6.1.6) unstable; urgency=medium

  * Adding calendar.ubuntu from Matt Zimmerman <mdz@ubuntu.com>.
  * Updating calendar.debian from Martin Schulze <joey@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Jan 2007 18:07:00 +0100

bsdmainutils (6.1.5) unstable; urgency=low

  * New maintianer (Closes: #400077).

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Nov 2006 21:07:00 +0100

bsdmainutils (6.1.4) unstable; urgency=low

  * Suggest wamerican, not wenglish. (closes: #354695)
  * Try to automatically determine the first day of the week.
    (closes: #288472)
  * Correct Asimov's birthplace. (closes: #345598)
  * Never read stdin in hexdump if files are supplied on the
    command line. (closes: #291150)
  * Dynamically calculate buffer length of calendar file. (closes: #356943)
  * Fix spelling error in calendar.holiday. (closes: #357894)
  * Update standards version (no changes).
  * Add the required binary-indep target to debian/rules.

 -- Graham Wilson <graham@debian.org>  Tue, 15 Aug 2006 06:03:03 +0000

bsdmainutils (6.1.3) unstable; urgency=medium

  * Spelling error in calendar.history. (closes: #312572)
  * Fix a warning in the ul man page. (closes: #300668)
  * Don't needlessly capitalize month names. (closes: #298090)
  * Update calendar.debian. (closes: #334564)

  * Fix bug where memory wasn't written past the end of where it was
    allocated. Thanks to Lars Ellenberg for tracking this down.
    (closes: #339042)

  * Don't use align when printing a set of three months in cal, since
    align doesn't take into account escape sequences, and will mess
    things up.
  * Ensure that all of the monthlines returned from mkmonth/mkmonthb
    take up the required amount of space on screen, instead of expecting
    printf to figure this out.
  * Print the current date in reverse video if stdout is a TTY.
    (closes: #265881)

 -- Graham Wilson <graham@debian.org>  Mon, 02 Jan 2006 21:42:23 +0000

bsdmainutils (6.1.2) unstable; urgency=low

  * Fix a typo in calendar.1.

 -- Graham Wilson <graham@debian.org>  Wed, 08 Jun 2005 01:18:22 +0000

bsdmainutils (6.1.1) experimental; urgency=low

  * Remove debconf notes.
  * Remove duplicate SNL premiere date. (closes: #276271)
  * Remove ${misc:Depends} from the control file.
  * Add a calendar file for Argentina, prepared by J. Alejandro Noli.
    (closes: #280669)
  * Fix gcc 4.0 error in calendar.h. (closes: #299666)
  * Fix spelling error in calendar.1. (closes: #302149)

 -- Graham Wilson <graham@debian.org>  Sun, 01 May 2005 23:55:55 +0000

bsdmainutils (6.1) experimental; urgency=low

  * calendar(1) bug fixes and enhancments:
    - Document the LANG=utf-8 calendar file notation.
    - Note that the locale for the calendar file is reset each time a new
      calendar file is read. (closes: #264079)
    - Keep track of the current file and line number, so that encoding
      conversion errors can be reported.
    - Reset special event names when reading new calendar files.
    - Suppress non-printable events by default. (closes: #255379)
  * Fix some calendar errors:
    - Fix spelling error in LOTR calendar. (closes: #255377)
    - Correct Dvorak's birthplace. (closes: #265979)
  * Use signal names, rather than numbers, in lorder. (closes: #256198)

 -- Graham Wilson <bob@decoy.wox.org>  Tue, 31 Aug 2004 20:39:06 +0000

bsdmainutils (6.0.17) unstable; urgency=medium

  * Use size_t (instead of int) when calling iconv(3): using int on alpha
    caused iconv to read past the end of the buffer, and return EILSEQ.
    (closes: #254075)

 -- Graham Wilson <graham@debian.org>  Wed, 27 Oct 2004 18:31:03 +0000

bsdmainutils (6.0.16) unstable; urgency=high

  * Correct the listed charset in a few .po files, and a mis-encoded character
    in es.po. Thanks to Dennis Barbier. (closes: #277558)

 -- Graham Wilson <graham@debian.org>  Wed, 20 Oct 2004 22:32:46 +0000

bsdmainutils (6.0.15) unstable; urgency=high

  * Read calendar files as the user who owns them instead of root when mailing
    calendar files to the user (-a flag). This prevents users from including
    (and possibly reading) files they can't normally read. This addresses
    CAN-2004-0793.

 -- Graham Wilson <graham@debian.org>  Thu, 19 Aug 2004 00:13:28 +0000

bsdmainutils (6.0.14) unstable; urgency=low

  * Add cs.po, thanks to Marcel Sebek. (closes: #247553)
  * Use a linear search in look by default, since wordlists are not always
    sorted correctly. (closes: #109364, #118278, #244726, #247945)

 -- Graham Wilson <graham@debian.org>  Fri, 14 May 2004 01:04:54 +0000

bsdmainutils (6.0.13) unstable; urgency=low

  * Don't automatically check for what day the week starts on. At this point,
    only four locales support it, and for some reason glibc gets it wrong for
    the C locale. The -m option still exists though. (closes: #241743)

 -- Graham Wilson <graham@debian.org>  Sat, 10 Apr 2004 22:57:26 +0000

bsdmainutils (6.0.12) unstable; urgency=low

  * Remove rcsid from source files. (closes: #238058)
  * Add a -3 flags to the cal(1) program. (closes: #237555)
  * Correct the number of years supported in ncal.1 and calendar.3.
  * Fix some of the comments in config.mk.
  * Check for __GLIBC__ when trying to use nl_langinfo to determine
    weekstart, instead of _NL_TIME_FIRST_WEEKDAY, since the latter is
    not a macro.
  * Change -f week_start to -m, to be more like util-linux cal.

  * Translations:
    - Add zh_CN.po, thanks to Li Daobing. (closes: #231274)
    - Add tr.po, thanks to Recai Oktas. (closes: #239147)
    - Update fr.po, thanks to Christian Perrier. (closes: #239436)

 -- Graham Wilson <graham@debian.org>  Sat, 27 Mar 2004 00:26:18 +0000

bsdmainutils (6.0.11) unstable; urgency=low

  * Add da.po, thanks to Morten Pedersen. (closes: #230667)
  * Observe locale-specific week start day. (closes: #230004)
  * Correct calendar.1. (closes: #230076)

 -- Graham Wilson <graham@debian.org>  Tue, 03 Feb 2004 18:56:52 +0000

bsdmainutils (6.0.10) unstable; urgency=low

  * Put a LOTR date in the correct file. (closes: #229233)

 -- Graham Wilson <graham@debian.org>  Sat, 24 Jan 2004 03:37:58 +0000

bsdmainutils (6.0.9) unstable; urgency=low

  * Fix Beethoven dates in de_DE calendar. (closes: #224826)

 -- Graham Wilson <graham@debian.org>  Mon, 22 Dec 2003 19:50:57 +0000

bsdmainutils (6.0.8) unstable; urgency=low

  * Include correct LOTR dates from Veronica Brandt (closes: #224407)
  * Fix some tabs in calendar.jferies.

 -- Graham Wilson <graham@debian.org>  Thu, 18 Dec 2003 22:21:23 +0000

bsdmainutils (6.0.7) unstable; urgency=low

  * Don't print duplicate month names. (closes: #221027)
  * Don't handle space specially in ul. (closes: #194737)
  * Manage write with update-alternatives. (closes: #92191)

 -- Graham Wilson <graham@debian.org>  Tue, 18 Nov 2003 04:16:48 +0000

bsdmainutils (6.0.6) unstable; urgency=low

  * Extend ncal(1) year limit to 5875706. (closes: #111991)
  * Use read(2) instead of fread(2) in hexdump. (closes: #215787)
  * Handle multi-byte month names properly in ncal. (closes: #158121)

 -- Graham Wilson <graham@debian.org>  Sat, 15 Nov 2003 07:18:30 +0000

bsdmainutils (6.0.5) unstable; urgency=low

  * Add note to look.1 that it only works in C locale.
  * Remove reference to termcap in ul.1. (closes: #215242)
  * Use __unused__ attribute unconditionally in odsyntax.c.
    - Remove related detritus from freebsd.h.
  * Don't #define DEBIAN, except in write.c.
  * Remove the hole from U in banner. (closes: #219319)
  * Revert some of the OpenBSD calendar changes:
    - -t flag now has old behavior.
    - Re-add -l and -w flags.
    - Make -A and -l flags the same.

 -- Graham Wilson <graham@debian.org>  Sat, 08 Nov 2003 17:46:06 +0000

bsdmainutils (6.0.4) unstable; urgency=low

  * Don't reset the permission of write with dh_fixperms. (closes: #212911)

 -- Graham Wilson <graham@debian.org>  Sat, 27 Sep 2003 21:45:00 +0000

bsdmainutils (6.0.3) unstable; urgency=low

  * Create an option for column that allows adjacent delimiters to not be
    merged. (closes: #183877)
  * Remove ChangeLog, since we are now native.
  * Clean up column.1. (closes: #183878, #183876)
  * Add a README file.
  * Install calendar's source.data file into doc/.

 -- Graham Wilson <graham@debian.org>  Mon, 22 Sep 2003 01:57:48 +0000

bsdmainutils (6.0.2) unstable; urgency=low

  * Update Spanish debconf template. Thanks Carlos Valdivia Yagüe.
    (closes: #211834)
  * Include calendar files for the EU and Belgium. Thanks Nicolas
    Évrard. (closes: #176988)

 -- Graham Wilson <graham@debian.org>  Sat, 20 Sep 2003 19:10:58 +0000

bsdmainutils (6.0.1) unstable; urgency=low

  * Make sure to change permission and ownership of our write, not the
    system's. (closes: #210321)

 -- Graham Wilson <graham@debian.org>  Wed, 10 Sep 2003 20:30:54 +0000

bsdmainutils (6.0) unstable; urgency=low

  * New upstream. This is now a native package.
  * debian/control:
    - Standards-Version: 3.6.1 (no changes).
    - Remove reference to textutils from control.
    - Change maintainer address.
  * Numerous fixes to the build process:
    - support for DEB_BUILD_OPTIONS
    - central configuration file, config.mk
    - installation code moved from debian/rules to other files
  * New upstream release:
    - Make lorder(1) work in a strict POSIX environment. Thanks
      Paul Eggert. (closes: #204907)
    - Cause hexdump to print an error when an invalid value follows
      "-n". (closes: #183345)
    - Add note to calendar.1 about format change. (closes: #178329)
    - Add a calendar with Debian dates. Thanks Martin Schulze.
    - Compile hexdump with support for large files. (closes: #175993)
    - Update all calendar files to the new format. (closes: #178330)
    - Add a final newline to calendar.newzealand.
      (closes: #198086, #208664, #207848)
    - Convert all calendar input data internally to wchar_t, and convert
      that to the user's encoding before outputting. (closes: #194265)
    - Distribute calendar files in UTF-8 and the C locale.
    - Die if locale is unavailable. (closes: #185557)
  * Use OpenBSD calendar(1):
    - Thanks to Matt Zimmerman for the idea.
    - Some options differ between the two versions, but the OpenBSD
      syntax seems cleaner. Also, OpenBSD doesn't support yearly
      calendar directories, and that hasn't been added back yet, as it
      is not currently used.
    - Output is now sorted. (closes: #176742)
    - Shows Labor day correctly. (closes: #207846)
    - Correct problems with cpp search path. (closes: #200814)
    - Thanksgiving on Sunday, not Thursday. (closes: #168681)
    - Don't schedule things for 32 Jan. (closes: #131769)
  * Add a Japanese debconf translation. Thanks Tomohiro KUBOTA.
    (closes: #194642)

 -- Graham Wilson <graham@debian.org>  Fri, 29 Aug 2003 18:06:27 +0000

bsdmainutils (5.20030320-1) unstable; urgency=low

  * New CVS update.
  * Miscellaneous debian/ dir updates:
    - Add a 'compat' file.
    - Remove 'conffiles', handled by dh_installdeb now.
    - Remove backup~ files from debian/.
    - Update debconf templates to use po-debconf.
    - Use 'set -e' in maintainer scripts, as linda suggests.
  * Update debian/rules to use new debhelper tools.
  * debian/control:
    - New maintainer. Thanks Tollef.
    - Depend on ${misc:Depends}, don't depend on debconf.
    - Build-Depends on debhelper (>= 4.1.16).
    - Change short description.

 -- Graham Wilson <bob@decoy.wox.org>  Sat, 19 Apr 2003 21:10:23 +0000

bsdmainutils (5.20020211-8) unstable; urgency=low

  * Include hd again; as a symlink to hexdump (closes: #165488)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 25 Oct 2002 01:35:08 +0200

bsdmainutils (5.20020211-7) unstable; urgency=low

  * Rename template.ru to template.ru
  * Don't try to display nonexistant note any more (closes: #152328)
  * Move debconf language templates to separate files.
  * Fix misspelling in calendar.music (closes: #152627)
  * Fix spaces to tabs in calendar.christian (closes: #156756, #154058)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 23 Sep 2002 04:46:59 +0200

bsdmainutils (5.20020211-6) unstable; urgency=low

  * New maintainer

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 17 Sep 2002 15:48:01 +0200

bsdmainutils (5.20020211-5) unstable; urgency=high

  * Fixed postinst failure on some upgrades (Closes: #140526).
  * Fixed country code of Sweden in ncal (Closes: #149699).
  * Fixed some calendar entries (Closes: #143959, #144711, #150262).

 -- Marco d'Itri <md@linux.it>  Thu, 04 Jul 2002 20:45:39 +0200

bsdmainutils (5.20020211-4) unstable; urgency=medium

  * Added ncal to the description (Closes: #135230).
  * Fixed multibytes encoding bug in ncal (Closes: #135821).
  * Added -undef to the cpp command line for calendar (Closes: #137059).
  * Added russian debconf template (Closes: #137622).

 -- Marco d'Itri <md@linux.it>  Mon, 11 Mar 2002 20:45:16 +0100

bsdmainutils (5.20020211-3) unstable; urgency=high

  * Let's try again. (Closes: #133592).
  * Added french debconf messages (Closes: #134627).

 -- Marco d'Itri <md@linux.it>  Tue, 19 Feb 2002 02:39:08 +0100

bsdmainutils (5.20020211-2) unstable; urgency=high

  * Fixed Debian GNU/*BSD fix (Closes: #133592).

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2002 01:50:16 +0100

bsdmainutils (5.20020211-1) unstable; urgency=medium

  * New CVS update.
  * Added new calendar entries (Closes: #133180, #130200, #130287).
  * Added Debian GNU/*BSD fix (Closes: #132655).

 -- Marco d'Itri <md@linux.it>  Mon, 11 Feb 2002 16:33:18 +0100

bsdmainutils (5.20010615-3) unstable; urgency=medium

  * Added calendar.christian files for 2002 and 2003
    (provided by James Treacy).
  * Added calendar.judaic files for 2002 and 2003 (Closes: #111997)
    (provided by Julian Gilbey).
  * Removed calendar(3) man page (Closes: #111995).
  * Added missing files to calendar.all (Closes: #111996).

 -- Marco d'Itri <md@linux.it>  Wed, 05 Dec 2001 03:58:39 +0100

bsdmainutils (5.20010615-2) unstable; urgency=medium

  * Fixed colcrt and hexdump (Closes: #106804, #110370).
  * Better error message for write (Closes: #104541).
  * Added spanish debconf messages (Closes: #104091).
  * Now calendar looks for ~/calendar too (Closes: #99857).

 -- Marco d'Itri <md@linux.it>  Sat, 01 Sep 2001 14:16:33 +0200

bsdmainutils (5.20010615-1) unstable; urgency=low

  * New CVS update.
  * Fixed Croatian holidays (Closes: #94307).
  * Listed the files missing in calendar(1) (Closes: #94584).
  * Fixed typo in calendar.discordian (Closes: #94585).

 -- Marco d'Itri <md@linux.it>  Fri, 15 Jun 2001 16:51:46 +0200

bsdmainutils (5.20010126-4) unstable; urgency=high

  * Fixed buffer overflow in hexdump (Closes: #92628).
  * Added dutch and portuguese debconf entries (Closes: #85540, #90149).

 -- Marco d'Itri <md@linux.it>  Sun, 15 Apr 2001 21:12:32 +0200

bsdmainutils (5.20010126-3) unstable; urgency=medium

  * Use <time.h> instead of <sys/time.h> (Closes: #86940).

 -- Marco d'Itri <md@linux.it>  Sun, 25 Feb 2001 10:24:26 +0100

bsdmainutils (5.20010126-2) unstable; urgency=low

  * Added calendar.discorian.
  * Added german debconf entries (Closes: #84837).
  * Fixed some German holidays (Closes: #86632).

 -- Marco d'Itri <md@linux.it>  Mon, 19 Feb 2001 18:14:07 +0100

bsdmainutils (5.20010126-1) unstable; urgency=low

  * New CVS update (Closes: #76290).
  * calendar.pagan added to calendar.world (Closes: #82558).
  * Removed BSD-specific macro from ncal.1 (Closes: #82604).
  * Added swedish and italian debconf entries (Closes: #83371).
  * Fixed ul (Closes: #82621).
  * Make calendar work when a ./calendar directory exists (Closes: #79516).
  * Removed suidregister.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Jan 2001 16:02:08 +0100

bsdmainutils (5.20001028-5) unstable; urgency=low

  * Removed debconf invocation in postinst (Closes: #79128).
  * Fixed some entries in calendar.music (Closes: #79219).
  * Added Japanese and Croatian holidays (Closes: #78224, #78873).

 -- Marco d'Itri <md@linux.it>  Wed, 20 Dec 2000 21:24:32 +0100

bsdmainutils (5.20001028-4) unstable; urgency=low

  * Removed help request (Closes: #77924, #77948).
  * Updated calendar.hindu.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Nov 2000 12:35:27 +0100

bsdmainutils (5.20001028-3) unstable; urgency=low

  * Fixed non-esecutable convdates.pl (Closes: #76614).
  * Fixed hexdump display bug (Closes: #77773).
  * Added a request for help to postinst.
  * Trimmed changelog.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Nov 2000 14:05:31 +0100

bsdmainutils (5.20001028-2) unstable; urgency=low

  * Removed od(1) man page already provided by textutils (Closes: #75888).
  * Added MAXPATHLEN definition for Hurd (Closes: #68854).

 -- Marco d'Itri <md@linux.it>  Mon, 30 Oct 2000 12:23:04 +0100

bsdmainutils (5.20001028-1) unstable; urgency=low

  * New source package structure.
  * Small updates from the FreeBSD tree.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Oct 2000 20:09:43 +0100
